com.thinkaurelius.titan.core.log

## Interface ChangeState

-     public interface ChangeState

  Container interface for a set of changes against the graph caused by a particular transaction. This is passed as an argument to `ChangeProcessor.process(com.thinkaurelius.titan.core.TitanTransaction, TransactionId, ChangeState)` for the user to retrieve changed elements and act upon it.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<TitanEdge>` | `getEdges(TitanVertex vertex, Change change, com.tinkerpop.blueprints.Direction dir, String... labels)` Returns all edges incident on the given vertex in the given direction that match the provided change state and edge labels.
    `Iterable<TitanProperty>` | `getProperties(TitanVertex vertex, Change change, String... keys)` Returns all properties incident for the given vertex that match the provided change state and property keys.
    `Iterable<TitanRelation>` | `getRelations(Change change, RelationType... types)` Returns all relations that match the change state and any of the provided relation types.
    `Iterable<TitanEdge>` | `getTitanEdges(TitanVertex vertex, Change change, com.tinkerpop.blueprints.Direction dir, EdgeLabel... labels)` Returns all edges incident on the given vertex in the given direction that match the provided change state and edge labels.
    `Iterable<TitanProperty>` | `getTitanProperties(TitanVertex vertex, Change change, PropertyKey... keys)` Returns all properties incident for the given vertex that match the provided change state and property keys.
    `Set<TitanVertex>` | `getVertices(Change change)` Returns all added, removed, or modified vertices when the change argument is `Change.ADDED`, `Change.REMOVED`, or `Change.ANY` respectively.

- - ### Method Detail

    - #### getVertices

          Set<TitanVertex> getVertices(Change change)

      Returns all added, removed, or modified vertices when the change argument is `Change.ADDED`, `Change.REMOVED`, or `Change.ANY` respectively.
      Parameters:
        `change` -
      Returns:

    - #### getRelations

          Iterable<TitanRelation> getRelations(Change change,
                                             RelationType... types)

      Returns all relations that match the change state and any of the provided relation types. If no relation types are specified all relations matching the state are returned.
      Parameters:
        `change` -
        `types` -
      Returns:

    - #### getEdges

          Iterable<TitanEdge> getEdges(TitanVertex vertex,
                                     Change change,
                                     com.tinkerpop.blueprints.Direction dir,
                                     String... labels)

      Returns all edges incident on the given vertex in the given direction that match the provided change state and edge labels.
      Parameters:
        `vertex` -
        `change` -
        `dir` -
        `labels` -
      Returns:

    - #### getTitanEdges

          Iterable<TitanEdge> getTitanEdges(TitanVertex vertex,
                                          Change change,
                                          com.tinkerpop.blueprints.Direction dir,
                                          EdgeLabel... labels)

      Returns all edges incident on the given vertex in the given direction that match the provided change state and edge labels.
      Parameters:
        `vertex` -
        `change` -
        `dir` -
        `labels` -
      Returns:

    - #### getProperties

          Iterable<TitanProperty> getProperties(TitanVertex vertex,
                                              Change change,
                                              String... keys)

      Returns all properties incident for the given vertex that match the provided change state and property keys.
      Parameters:
        `vertex` -
        `change` -
        `keys` -
      Returns:

    - #### getTitanProperties

          Iterable<TitanProperty> getTitanProperties(TitanVertex vertex,
                                                   Change change,
                                                   PropertyKey... keys)

      Returns all properties incident for the given vertex that match the provided change state and property keys.
      Parameters:
        `vertex` -
        `change` -
        `keys` -
      Returns:

Copyright © 2012–2014. All rights reserved.